欢迎来到李先生的博客

深山的鹿,不知归处;万般皆苦,只可自渡。
扩大
缩小

Postgresql导出数据报版本不对

zabbix使用得数据库是Postgresql,最近zabbix4.0版本出来了,准备把zabbix升级,得先把数据库备份,但是一直报错,如下:
 
 
查找服务器上是否有10的版本,也一直没找到
 
 
 
然后Google、百度了一下午,额~~~,一下午真的是一下午,加上十一假期第一天假,注意力也没怎么集中,都没找到答案;最后自己想了想,这里是服务端版本为10.3,客户端版本为9.5,那我把客户端的版本升级到10.3不就可以了吗?该怎么升级呢,官网才是最靠谱的
 
因为我的机器是Ubuntu的,所以选择Ubuntu的,根据他的步骤来就可以
 
 
1:选择对应的系统
 
 
 
2、选择对应的版本
 
 
 
3、 sudo vim /etc/apt/sources.list.d/pgdg.list
 
deb http://apt.postgresql.org/pub/repos/apt/ xenial-pgdg main

 

 
4、下载并升级更新apt-get
 
wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
sudo apt-get update
 
 
5、安装postgresql-client-10  注(这里只需更新客户端,不要更新服务端,可能会导致数据丢失,没有试验过)
 
sudo apt-get install postgresql-client-10

 

 
6、可以看到pg_dump有10的版本了
 
 
 
7、把最新版本的pg_dump做链接
 
 
 
然后就可以执行备份啦啦啦啦!!!
sudo pg_dump postgresql://账号:密码@路径:端口/数据库 -f /tmp/sql.bak

 

posted on 2018-10-08 18:14  Captain_Li  阅读(521)  评论(0编辑  收藏

导航